GET /{o}/{p}/stats/entities-by-stateEntities-by-state time series
Bucketed counts of entities per state over a time window.
Auth: Bearer token required · Permission:
data:read
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Entities-by-state buckets | EntitiesByStateStats |
GET /{o}/{p}/stats/runs-by-typeAction runs by type
Per-action run totals (succeeded/failed/running) plus an hourly sparkline over the window.
Auth: Bearer token required · Permission:
data:read
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Runs grouped by action | RunsByTypeStats |
GET /{o}/{p}/stats/failing-kindsFailing entity kinds
Entity kinds with failing action runs in the window, sorted by failure count.
Auth: Bearer token required · Permission:
data:read
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Failing kinds | FailingKindsStats |
GET /{o}/{p}/stats/drift-densityDrift density heatmap
Open-drift counts grouped by entity kind and (optionally) a cell label key — the heatmap matrix.
Auth: Bearer token required · Permission:
data:read
Path parameters
| Name | Type | Description |
|---|---|---|
o | string | |
p | string |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Drift density matrix | DriftDensityStats |
DriftDensityStats| Field | Type | Description |
|---|---|---|
kinds | string[] | (required) |
cells | string[] | (required) |
counts | integer[][] | (required) |
EntitiesByStateStats| Field | Type | Description |
|---|---|---|
buckets | object[] | (required) |
FailingKindsStats| Field | Type | Description |
|---|---|---|
rows | object[] | (required) |
RunsByTypeStats| Field | Type | Description |
|---|---|---|
rows | object[] | (required) |